<?php
 
session_start();
include("DMMYSQLG.php");

?>
<html>
<link rel="stylesheet" href="DHSTYLES.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
	include('cat_pagos_CL.php');
	$varible_clase = new clase();
	$varible_clase->desc_pag=strtoupper($_POST["tap2"]);
	$varible_clase->ini_pag=strtoupper($_POST["t3"]);	
	$varible_clase->cta_con_pag=strtoupper($_POST["t2"]);
	$varible_clase->tip_mv_pag=$_POST["select"];
	$varible_clase->tip_aplica=$_POST["select2"];
	$varible_clase->pag_bancos=$_POST["select3"];
	$varible_clase->codigo=$_POST["pvf"];	
	//Revizar si ya existe el registro
	$res=$varible_clase->revisar();
	if($res == "ok"){
		echo '<h2>EL REGISTRO YA EXISTE</h2>';
		echo '<meta content="1; url=cat_pagos_PR.php" HTTP-EQUIV="REFRESH">';
		exit();
	}    	 
	//Ejecuta el codigo de agregar
	$res=$varible_clase->agregar();
	if($res == "ok"){
		$ultimo_id = mysqli_insert_id($con); 
		echo '<h2>SE AGREGO EL TIPO DE PAGO:'.$ultimo_id.'</h2>';
		echo '<meta content="1; url=cat_pagos_AG.php"  HTTP-EQUIV="REFRESH">';
	}else{
		echo '<h2>NO SE HA PODIDO AGREGAR EL TIPO DE PAGO</h2>';
		echo $res;
		echo '<meta content="1; url=cat_pagos_PR.php" HTTP-EQUIV="REFRESH">';
	}    	
?>
</body>
</html>